<?php
/**
 * Plugin Name: Woocommerce Algolia
 * Plugin URI: https://webdevstudios.com
 * Description: General WooCommerce integration for WP Search with Algolia
 * Version: 1.0.0
 * Author: WebDevStudios
 * Author URI: http://www.webdevstudios.com
 * License: GPLv2
 * Text Domain: woocommerce-algolia
 */

namespace webdevstudios;

function load_includes() {
	$dir = plugin_dir_path( __FILE__ );

	// Where we are modifying what gets indexed for products.
	require_once $dir . '/inc/indexed-content.php';

	// Where we are storing any index settings to be pushed to Algolia.
	require_once $dir . '/inc/index-settings.php';

	require_once $dir . '/inc/hooks.php';
}
add_action( 'plugins_loaded', __NAMESPACE__ . '\load_includes' );
